Main Page Packages Class Hierarchy Compound List File List Compound Members

# notationgetnotationname Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| notationgetnotationname (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The nodeName attribute that is inherited from Node contains the name of the notation.

Retrieve the notation named "notation1" and access its name by invoking the "getNodeName()" method inherited from the Node interface.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D095 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-5431D1B9

Definition at line 45 of file notationgetnotationname.java.

## Constructor & Destructor Documentation

notationgetnotationname::notationgetnotationname | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file notationgetnotationname.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String notationgetnotationname::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 67 of file notationgetnotationname.java.
    00067                                 {
    00068       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/notationgetnotationname";
    00069    }

void notationgetnotationname::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 70 of file notationgetnotationname.java. References DOMTestCase::doMain().
    00070                                           {
    00071         DOMTestCase.doMain(notationgetnotationname.class,args);
    00072    }

void notationgetnotationname::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file notationgetnotationname.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       DocumentType docType;
    00056       NamedNodeMap notations;
    00057       Notation notationNode;
    00058       String notationName;
    00059       doc = load("staff");
    00060       docType = doc.getDoctype();
    00061       notations = docType.getNotations();
    00062       notationNode = (Notation)notations.getNamedItem("notation1");
    00063       notationName = notationNode.getNodeName();
    00064       assertEquals("notationGetNotationNameAssert","notation1",notationName);
    00065
    00066    }

The documentation for this class was generated from the following file:

- notationgetnotationname.java